namespace Tinkerforge
{
    public static class ECurrent25
    {
        public static (char Option, short Min, short Max) GetCurrentCallbackThreshold(this BrickletCurrent25 current25)
        {
            current25.GetCurrentCallbackThreshold(out char option, out short min, out short max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletCurrent25 current25)
        {
            current25.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
